Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/12/2020 in all areas

  1. Insert the frame at desired lower left "1.07,24.24" or a getpoint. Pick other corner then work out the X scale and Y scale then insert if you make the Viewport-frame 1 x 1 then scaling is direct difference in X & Y values.
    1 point
  2. Try this (defun c:t2c (/ ss sty tht cnt obj) (setq ss (ssget ":L" '((0 . "*TEXT")))) (cond (ss (setq sty (getvar 'textstyle) tht (getvar 'textsize)) (repeat (setq cnt (sslength ss)) (setq obj (vlax-ename->vla-object (ssname ss (setq cnt (1- cnt))))) (mapcar '(lambda (x y) (vlax-put obj x y)) (list 'stylename 'height) (list sty tht)) );end_repeat ) );end_cond (princ) );end_defun This will not override any formatted mtext and will use the current textstyle and textsize as defined by the system variables of the same name.
    1 point
  3. Whilst this is Vlisp there should be the same function in VBA there are multiple file options like directory or dwg name only. Also (getvar 'dwgname ) (getvar 'dwgprefix)
    1 point
  4. haven't done much testing but here ya go... RlxDimensionPolyline.lsp
    1 point
  5. Try the following: (defun c:dimupd ( / sel ) (if (ssget "_:L" '((0 . "DIMENSION"))) (progn (vlax-for obj (setq sel (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object)))) (vlax-put obj 'dimtxtdirection (~ (vlax-get obj 'dimtxtdirection))) (if (= acunder (vla-get-verticaltextposition obj)) (vla-put-verticaltextposition obj acabove) (vla-put-verticaltextposition obj acunder) ) ) (vla-delete sel) ) ) (princ) ) (vl-load-com) (princ)
    1 point
×
×
  • Create New...